ACTION=$1

if [ "$ACTION" != "rollback" -a "$ACTION" != "" ]
then
       echo Usage:
       echo     setup.sh "[rollback]"
       exit
fi

if [ -z "$INFOHOME" ]
then
    echo "Please input the install location of Netcool/Reporter, enter exit if you would like to exit"
    read mypath
    if [ "$mypath" = "exit" ]
    then
           exit
    fi
    while [ ! -r "$mypath/Universal.conf" -o ! -d "$mypath/websqlbr" ]
    do
	  echo incorrect location!
          echo Please input the install location of Netcool/Reporter, enter exit if you would like to exit
          read mypath
          if [ "$mypath" = "exit" ]
          then
               exit
          fi
    done
    INFOHOME=$mypath
    export INFOHOME
fi

if [ "$ACTION" = "rollback" ]
then
       echo Starting rollback
       if [ ! -r "$INFOHOME/backup/vpatch_dst/tools/jre13" ]
       then
           exit
       fi
       rm -rf  $INFOHOME/reporter2.1-patch-48548-42281-0-solaris.README
       rm -rf $INFOHOME/tools/jre
       mv $INFOHOME/backup/vpatch_dst/tools/jre13 $INFOHOME/tools/jre
       chmod -R u+x $INFOHOME/tools/jre
       echo rollback successful
       exit
fi




$INFOHOME/tools/jre/bin/java -DINFOHOME=$INFOHOME -DJRUN_HOME=$JRUN_HOME -cp patch_util.jar PatchForMM -s dst.tar.gz -n dst

if [  -r "rollback.txt" ]
  then
  	exit
  fi
cp reporter2.1-patch-48548-42281-0-solaris.README $INFOHOME/reporter2.1-patch-48548-42281-0-solaris.README  
if [ ! -r "$INFOHOME/backup/vpatch_dst/tools" ]
   then
   	mkdir $INFOHOME/backup/vpatch_dst/tools
  
   fi
cd $INFOHOME/tools

mv jre $INFOHOME/backup/vpatch_dst/tools/jre13
mv jre14 jre
chmod -R u+x jre

